<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jianshui.income.mapper.InvoiceCheckUsedCarMapper">

    <resultMap type="com.jianshui.income.domain.entity.InvoiceCheckUsedCar" id="InvoiceCheckUsedCarResult">
        <result property="invoice_check_id"    column="invoice_check_id"    />
        <result property="cpzh"    column="cpzh"    />
        <result property="djzh"    column="djzh"    />
        <result property="cjhj"    column="cjhj"    />
        <result property="zrdcgsmc"    column="zrdcgsmc"    />
        <result property="mfdwgr"    column="mfdwgr"    />
        <result property="mfdwdmsfzh"    column="mfdwdmsfzh"    />
        <result property="mfdwgrdz"    column="mfdwgrdz"    />
        <result property="mfdh"    column="mfdh"    />
        <result property="smfdwgr"    column="smfdwgr"    />
        <result property="smfdwdmsfzh"    column="smfdwdmsfzh"    />
        <result property="smfdwgrzz"    column="smfdwgrzz"    />
        <result property="smfdh"    column="smfdh"    />
        <result property="jypmdw"    column="jypmdw"    />
        <result property="jypmdwdz"    column="jypmdwdz"    />
        <result property="jypmdwzsbh"    column="jypmdwzsbh"    />
        <result property="khyhjzh"    column="khyhjzh"    />
        <result property="jypmdwdh"    column="jypmdwdh"    />
        <result property="escsc"    column="escsc"    />
        <result property="escscsbh"    column="escscsbh"    />
        <result property="escscdz"    column="escscdz"    />
        <result property="escsckhyhzh"    column="escsckhyhzh"    />
        <result property="escscdh"    column="escscdh"    />
        <result property="clsbh"    column="clsbh"    />
        <result property="cllx"    column="cllx"    />
        <result property="cpxh"    column="cpxh"    />
    </resultMap>

    <sql id="selectInvoiceCheckUsedCarVo">
        select  invoice_check_id,cpzh, djzh, cjhj, zrdcgsmc, mfdwgr, mfdwdmsfzh, mfdwgrdz, mfdh, smfdwgr, smfdwdmsfzh, smfdwgrzz, smfdh, jypmdw,jypmdwdz,jypmdwzsbh,khyhjzh,jypmdwdh,escsc,escscsbh,escscdz,escsckhyhzh,escscdh,clsbh,cllx,cpxh from invoice_check_used_car
    </sql>


    <select id="selectInvoiceCheckUsedCarById" parameterType="Long" resultMap="InvoiceCheckUsedCarResult">
        <include refid="selectInvoiceCheckUsedCarVo"/>
        where invoice_check_id = #{invoice_check_id}
    </select>



</mapper>